#ifdef GL_ES
precision mediump float;
#endif
 
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform vec2 TextPos;
uniform vec2 TextSize;
uniform vec2 TempPos;
uniform vec2 TempSize;

bool IsNeedChangeColor()
{
	vec2 pos = vec2(v_texCoord.x, 1.0 - v_texCoord.y);
	pos = vec2(pos.x* TextSize.x, pos.y*TextSize.y);
	pos = TextPos + pos;
	
	if(pos.x >= TempPos.x && pos.x <= TempPos.x + TempSize.x && pos.y >= TempPos.y && pos.y <= TempPos.y + TempSize.y)
	{
		return true;
	}else{
		return false;
	}
}
 
void main(void)
{
	vec4 color = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
	float f = 130.0/255.0;
	//if(color == vec4(f, f, f, 1.0))
	//if(color.r == f && color.g == f && color.b == f)
	if(abs(color.r - f) <= 0.4 && abs(color.g - f) <= 0.4 && abs(color.b - f) <= 0.4)
	{
		if(IsNeedChangeColor())
		{
			gl_FragColor = vec4(1.0, 1.0, 1.0, color.a);
		}else{
			gl_FragColor = color;
		}
	}else{
		gl_FragColor = color;
	}
	
	//gl_FragColor = color;
}
